# Get Account

The Get Account API allows you to retrieve a sub-account's information.<br>

| Environment | Method | URL                                                 |
| ----------- | ------ | --------------------------------------------------- |
| Development | POST   | <https://devo.finnet.co.id/was-adapter/account/get> |
| Production  | POST   | <https://live.finnet.co.id/was-adapter/account/get> |

### Header Request <a href="#body-request" id="body-request"></a>

| Name          | Type   | Mandatory | Description                                                                                                                           |
| ------------- | ------ | --------- | ------------------------------------------------------------------------------------------------------------------------------------- |
| Authorization | String | M         | <p>Represents Basic Authentication.</p><p>e.g. Basic dW5kZWZpbmVkOnBhc3N3b3Jk</p>                                                     |
| Content-Type  | String | M         | Content of you request body e.g. application/json                                                                                     |
| accept        | String | M         | Mandatory header to specify the response format. Must be set to `application/json` so the server returns the response in JSON format. |

### Body Request <a href="#body-request" id="body-request"></a>

<table><thead><tr><th width="78">No</th><th>Name</th><th>Type</th><th>Mandatory</th><th width="128">Min Length</th><th>Max Length</th><th>Description</th></tr></thead><tbody><tr><td>1</td><td>email</td><td>String</td><td>M</td><td>5</td><td>552</td><td><strong>Email address to be registered as the account.</strong><br>e.g.<code>kirana@finpay.id</code></td></tr><tr><td>2</td><td>type</td><td>String</td><td>M</td><td>1</td><td>15</td><td><strong>Type of account to be created.</strong><br>e.g. <code>"OWNED"</code>`<br>Valid values: [ <code>MANAGED</code>, <code>OWNED</code>]</td></tr><tr><td>3</td><td>public_profile</td><td>Object</td><td>M</td><td>-</td><td>-</td><td>Detail of Public profile account</td></tr><tr><td>4</td><td>public_profile.business_name</td><td>String</td><td>M</td><td>1</td><td>512</td><td><strong>Business name to be displayed.</strong><br>e.g.<code>Owned Business Account</code></td></tr></tbody></table>

#### Sample Request <a href="#sample-request" id="sample-request"></a>

```
Content-type: application/json 
Authorization: Basic gp9HjjEj813Y9JGoqwOeOPWbnt4CUpvIJbU1mMU4a11MNDZ7Sg5u9a" 
accept: application/json
{
  "email": "kirana@finpay.id",
  "type": "OWNED",
  "public_profile": {
    "business_name": "Owned Business Account"
  }
}

```

### Body Response <a href="#body-response" id="body-response"></a>

<table><thead><tr><th width="76">No</th><th>Name</th><th>Type</th><th>Mandatory</th><th>Min Length</th><th>Max Length</th><th>Description</th></tr></thead><tbody><tr><td>1</td><td>responseCode</td><td>String</td><td>M</td><td>1</td><td>7</td><td>responseCode</td></tr><tr><td>2</td><td>responseMessage</td><td>String</td><td>M</td><td>1</td><td>150</td><td>responseMessage</td></tr><tr><td>3</td><td>partnerReferenceNo</td><td>String</td><td>M</td><td>1</td><td>512</td><td></td></tr><tr><td>4</td><td>referenceNo</td><td>String</td><td>M</td><td>1</td><td>512</td><td></td></tr><tr><td>5</td><td>additionalInfo</td><td>Object</td><td>M</td><td>1</td><td>255</td><td></td></tr><tr><td>6</td><td>additionalInfo.remark</td><td>String</td><td>M</td><td>1</td><td>512</td><td></td></tr></tbody></table>

#### Sample Response <a href="#sample-response" id="sample-response"></a>

```
{
 "id": "string",
 "created": "2025-12-08T03:19:10.228Z",
 "updated": "2025-12-08T03:19:10.228Z",
 "type": "OWNED",
 "email": "test@example.co",
 "public_profile": {
  "business_name": "string"
 },
 "country": "ID",
 "status": "REGISTERED"
}
```

#### Sample Response (Negative) <a href="#sample-response" id="sample-response"></a>

```
{
    "error_code": "DATA_NOT_FOUND",
    "message": "Account with this ID does not exist on your Platform."
}

```

### Create Account Status <a href="#sample-response" id="sample-response"></a>

<table><thead><tr><th width="71">No</th><th width="179">Status</th><th></th></tr></thead><tbody><tr><td>1</td><td>REGISTERED</td><td>Already registered</td></tr><tr><td>2</td><td>AWAITING_DOCS</td><td>Not applicable for Managed account type</td></tr><tr><td>3</td><td>LIVE</td><td></td></tr><tr><td>4</td><td>SUSPENDED</td><td>If suspended or blocked</td></tr><tr><td>5</td><td>INVITED</td><td>Not applicable for Managed account type</td></tr></tbody></table>

### Create Account HTTP Status Code <a href="#sample-response" id="sample-response"></a>

<table><thead><tr><th width="71">No</th><th width="178">HTTP Status Code</th><th>Description</th></tr></thead><tbody><tr><td>1</td><td>200</td><td>Success with Response Body Message</td></tr><tr><td>2</td><td>400</td><td>[ <code>DESTINATION_ACCOUNT_NOT_FOUND</code>, <code>DATA_NOT_FOUND</code>, <code>CALLBACK_AUTHENTICATION_TOKEN_NOT_FOUND_ERROR</code> ]</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.finpay.id/api-reference/finpay-wallet-as-a-service/core-api/get-account.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
